"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const AddSourceIdentifierToSubscription_1 = require("../model/operations/AddSourceIdentifierToSubscription");
class AddSourceIdentifierToSubscriptionCommand {
    constructor(input) {
        this.input = input;
        this.model = AddSourceIdentifierToSubscription_1.AddSourceIdentifierToSubscription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.AddSourceIdentifierToSubscriptionCommand = AddSourceIdentifierToSubscriptionCommand;
//# sourceMappingURL=AddSourceIdentifierToSubscriptionCommand.js.map