"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_rds_presignedurl = require("@aws-sdk/middleware-rds-presignedurl");
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CopyDBSnapshot_1 = require("../model/operations/CopyDBSnapshot");
class CopyDBSnapshotCommand {
    constructor(input) {
        this.input = input;
        this.model = CopyDBSnapshot_1.CopyDBSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        stack.add(__aws_sdk_middleware_rds_presignedurl.buildCrossRegionPresignedUrl({
            sourceIdentifierKey: "SourceDBSnapshotIdentifier",
            region: configuration.region,
            credentials: configuration.credentials,
            endpoint: configuration.endpoint,
            base64Encoder: configuration.base64Encoder,
            utf8Decoder: configuration.utf8Decoder,
            sha256: configuration.sha256
        }), {
            step: "initialize",
            priority: 0,
            tags: { PRESIGNED_URL: true }
        });
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CopyDBSnapshotCommand = CopyDBSnapshotCommand;
//# sourceMappingURL=CopyDBSnapshotCommand.js.map