"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CopyOptionGroup_1 = require("../model/operations/CopyOptionGroup");
class CopyOptionGroupCommand {
    constructor(input) {
        this.input = input;
        this.model = CopyOptionGroup_1.CopyOptionGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CopyOptionGroupCommand = CopyOptionGroupCommand;
//# sourceMappingURL=CopyOptionGroupCommand.js.map