"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateDBClusterParameterGroup_1 = require("../model/operations/CreateDBClusterParameterGroup");
class CreateDBClusterParameterGroupCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateDBClusterParameterGroup_1.CreateDBClusterParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateDBClusterParameterGroupCommand = CreateDBClusterParameterGroupCommand;
//# sourceMappingURL=CreateDBClusterParameterGroupCommand.js.map