"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateDBSubnetGroup_1 = require("../model/operations/CreateDBSubnetGroup");
class CreateDBSubnetGroupCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateDBSubnetGroup_1.CreateDBSubnetGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateDBSubnetGroupCommand = CreateDBSubnetGroupCommand;
//# sourceMappingURL=CreateDBSubnetGroupCommand.js.map