"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteDBClusterSnapshot_1 = require("../model/operations/DeleteDBClusterSnapshot");
class DeleteDBClusterSnapshotCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteDBClusterSnapshot_1.DeleteDBClusterSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteDBClusterSnapshotCommand = DeleteDBClusterSnapshotCommand;
//# sourceMappingURL=DeleteDBClusterSnapshotCommand.js.map