"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDBClusterBacktracks_1 = require("../model/operations/DescribeDBClusterBacktracks");
class DescribeDBClusterBacktracksCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDBClusterBacktracks_1.DescribeDBClusterBacktracks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDBClusterBacktracksCommand = DescribeDBClusterBacktracksCommand;
//# sourceMappingURL=DescribeDBClusterBacktracksCommand.js.map