"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDBClusters_1 = require("../model/operations/DescribeDBClusters");
class DescribeDBClustersCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDBClusters_1.DescribeDBClusters;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDBClustersCommand = DescribeDBClustersCommand;
//# sourceMappingURL=DescribeDBClustersCommand.js.map