"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDBSnapshotAttributes_1 = require("../model/operations/DescribeDBSnapshotAttributes");
class DescribeDBSnapshotAttributesCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDBSnapshotAttributes_1.DescribeDBSnapshotAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDBSnapshotAttributesCommand = DescribeDBSnapshotAttributesCommand;
//# sourceMappingURL=DescribeDBSnapshotAttributesCommand.js.map