"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DownloadDBLogFilePortion_1 = require("../model/operations/DownloadDBLogFilePortion");
class DownloadDBLogFilePortionCommand {
    constructor(input) {
        this.input = input;
        this.model = DownloadDBLogFilePortion_1.DownloadDBLogFilePortion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DownloadDBLogFilePortionCommand = DownloadDBLogFilePortionCommand;
//# sourceMappingURL=DownloadDBLogFilePortionCommand.js.map