"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const FailoverDBCluster_1 = require("../model/operations/FailoverDBCluster");
class FailoverDBClusterCommand {
    constructor(input) {
        this.input = input;
        this.model = FailoverDBCluster_1.FailoverDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.FailoverDBClusterCommand = FailoverDBClusterCommand;
//# sourceMappingURL=FailoverDBClusterCommand.js.map