"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ModifyDBClusterEndpoint_1 = require("../model/operations/ModifyDBClusterEndpoint");
class ModifyDBClusterEndpointCommand {
    constructor(input) {
        this.input = input;
        this.model = ModifyDBClusterEndpoint_1.ModifyDBClusterEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ModifyDBClusterEndpointCommand = ModifyDBClusterEndpointCommand;
//# sourceMappingURL=ModifyDBClusterEndpointCommand.js.map