"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RebootDBInstance_1 = require("../model/operations/RebootDBInstance");
class RebootDBInstanceCommand {
    constructor(input) {
        this.input = input;
        this.model = RebootDBInstance_1.RebootDBInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RebootDBInstanceCommand = RebootDBInstanceCommand;
//# sourceMappingURL=RebootDBInstanceCommand.js.map