"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RestoreDBInstanceFromDBSnapshot_1 = require("../model/operations/RestoreDBInstanceFromDBSnapshot");
class RestoreDBInstanceFromDBSnapshotCommand {
    constructor(input) {
        this.input = input;
        this.model = RestoreDBInstanceFromDBSnapshot_1.RestoreDBInstanceFromDBSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RestoreDBInstanceFromDBSnapshotCommand = RestoreDBInstanceFromDBSnapshotCommand;
//# sourceMappingURL=RestoreDBInstanceFromDBSnapshotCommand.js.map