"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CopyDBClusterSnapshotInput_1 = require("../shapes/CopyDBClusterSnapshotInput");
const CopyDBClusterSnapshotOutput_1 = require("../shapes/CopyDBClusterSnapshotOutput");
const DBClusterSnapshotAlreadyExistsFault_1 = require("../shapes/DBClusterSnapshotAlreadyExistsFault");
const DBClusterSnapshotNotFoundFault_1 = require("../shapes/DBClusterSnapshotNotFoundFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const InvalidDBClusterSnapshotStateFault_1 = require("../shapes/InvalidDBClusterSnapshotStateFault");
const SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
const KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CopyDBClusterSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CopyDBClusterSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CopyDBClusterSnapshotInput_1.CopyDBClusterSnapshotInput
    },
    output: {
        shape: CopyDBClusterSnapshotOutput_1.CopyDBClusterSnapshotOutput,
        resultWrapper: "CopyDBClusterSnapshotResult"
    },
    errors: [
        {
            shape: DBClusterSnapshotAlreadyExistsFault_1.DBClusterSnapshotAlreadyExistsFault
        },
        {
            shape: DBClusterSnapshotNotFoundFault_1.DBClusterSnapshotNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBClusterSnapshotStateFault_1.InvalidDBClusterSnapshotStateFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        }
    ]
};
//# sourceMappingURL=CopyDBClusterSnapshot.js.map