"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CopyOptionGroupInput_1 = require("../shapes/CopyOptionGroupInput");
const CopyOptionGroupOutput_1 = require("../shapes/CopyOptionGroupOutput");
const OptionGroupAlreadyExistsFault_1 = require("../shapes/OptionGroupAlreadyExistsFault");
const OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
const OptionGroupQuotaExceededFault_1 = require("../shapes/OptionGroupQuotaExceededFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CopyOptionGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CopyOptionGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CopyOptionGroupInput_1.CopyOptionGroupInput
    },
    output: {
        shape: CopyOptionGroupOutput_1.CopyOptionGroupOutput,
        resultWrapper: "CopyOptionGroupResult"
    },
    errors: [
        {
            shape: OptionGroupAlreadyExistsFault_1.OptionGroupAlreadyExistsFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: OptionGroupQuotaExceededFault_1.OptionGroupQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=CopyOptionGroup.js.map