"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteDBClusterInput_1 = require("../shapes/DeleteDBClusterInput");
const DeleteDBClusterOutput_1 = require("../shapes/DeleteDBClusterOutput");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const DBClusterSnapshotAlreadyExistsFault_1 = require("../shapes/DBClusterSnapshotAlreadyExistsFault");
const SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
const InvalidDBClusterSnapshotStateFault_1 = require("../shapes/InvalidDBClusterSnapshotStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDBCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDBCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDBClusterInput_1.DeleteDBClusterInput
    },
    output: {
        shape: DeleteDBClusterOutput_1.DeleteDBClusterOutput,
        resultWrapper: "DeleteDBClusterResult"
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: DBClusterSnapshotAlreadyExistsFault_1.DBClusterSnapshotAlreadyExistsFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        },
        {
            shape: InvalidDBClusterSnapshotStateFault_1.InvalidDBClusterSnapshotStateFault
        }
    ]
};
//# sourceMappingURL=DeleteDBCluster.js.map