"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ModifyDBInstanceInput_1 = require("../shapes/ModifyDBInstanceInput");
const ModifyDBInstanceOutput_1 = require("../shapes/ModifyDBInstanceOutput");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const InvalidDBSecurityGroupStateFault_1 = require("../shapes/InvalidDBSecurityGroupStateFault");
const DBInstanceAlreadyExistsFault_1 = require("../shapes/DBInstanceAlreadyExistsFault");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const InsufficientDBInstanceCapacityFault_1 = require("../shapes/InsufficientDBInstanceCapacityFault");
const StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
const InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
const ProvisionedIopsNotAvailableInAZFault_1 = require("../shapes/ProvisionedIopsNotAvailableInAZFault");
const OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
const DBUpgradeDependencyFailureFault_1 = require("../shapes/DBUpgradeDependencyFailureFault");
const StorageTypeNotSupportedFault_1 = require("../shapes/StorageTypeNotSupportedFault");
const AuthorizationNotFoundFault_1 = require("../shapes/AuthorizationNotFoundFault");
const CertificateNotFoundFault_1 = require("../shapes/CertificateNotFoundFault");
const DomainNotFoundFault_1 = require("../shapes/DomainNotFoundFault");
const BackupPolicyNotFoundFault_1 = require("../shapes/BackupPolicyNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyDBInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyDBInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyDBInstanceInput_1.ModifyDBInstanceInput
    },
    output: {
        shape: ModifyDBInstanceOutput_1.ModifyDBInstanceOutput,
        resultWrapper: "ModifyDBInstanceResult"
    },
    errors: [
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: InvalidDBSecurityGroupStateFault_1.InvalidDBSecurityGroupStateFault
        },
        {
            shape: DBInstanceAlreadyExistsFault_1.DBInstanceAlreadyExistsFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        },
        {
            shape: InsufficientDBInstanceCapacityFault_1.InsufficientDBInstanceCapacityFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: ProvisionedIopsNotAvailableInAZFault_1.ProvisionedIopsNotAvailableInAZFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: DBUpgradeDependencyFailureFault_1.DBUpgradeDependencyFailureFault
        },
        {
            shape: StorageTypeNotSupportedFault_1.StorageTypeNotSupportedFault
        },
        {
            shape: AuthorizationNotFoundFault_1.AuthorizationNotFoundFault
        },
        {
            shape: CertificateNotFoundFault_1.CertificateNotFoundFault
        },
        {
            shape: DomainNotFoundFault_1.DomainNotFoundFault
        },
        {
            shape: BackupPolicyNotFoundFault_1.BackupPolicyNotFoundFault
        }
    ]
};
//# sourceMappingURL=ModifyDBInstance.js.map