"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RestoreDBInstanceFromDBSnapshotInput_1 = require("../shapes/RestoreDBInstanceFromDBSnapshotInput");
const RestoreDBInstanceFromDBSnapshotOutput_1 = require("../shapes/RestoreDBInstanceFromDBSnapshotOutput");
const DBInstanceAlreadyExistsFault_1 = require("../shapes/DBInstanceAlreadyExistsFault");
const DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
const InstanceQuotaExceededFault_1 = require("../shapes/InstanceQuotaExceededFault");
const InsufficientDBInstanceCapacityFault_1 = require("../shapes/InsufficientDBInstanceCapacityFault");
const InvalidDBSnapshotStateFault_1 = require("../shapes/InvalidDBSnapshotStateFault");
const StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
const InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
const InvalidRestoreFault_1 = require("../shapes/InvalidRestoreFault");
const DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
const DBSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/DBSubnetGroupDoesNotCoverEnoughAZs");
const InvalidSubnet_1 = require("../shapes/InvalidSubnet");
const ProvisionedIopsNotAvailableInAZFault_1 = require("../shapes/ProvisionedIopsNotAvailableInAZFault");
const OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
const StorageTypeNotSupportedFault_1 = require("../shapes/StorageTypeNotSupportedFault");
const AuthorizationNotFoundFault_1 = require("../shapes/AuthorizationNotFoundFault");
const KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
const DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
const DomainNotFoundFault_1 = require("../shapes/DomainNotFoundFault");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const BackupPolicyNotFoundFault_1 = require("../shapes/BackupPolicyNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreDBInstanceFromDBSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreDBInstanceFromDBSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreDBInstanceFromDBSnapshotInput_1.RestoreDBInstanceFromDBSnapshotInput
    },
    output: {
        shape: RestoreDBInstanceFromDBSnapshotOutput_1.RestoreDBInstanceFromDBSnapshotOutput,
        resultWrapper: "RestoreDBInstanceFromDBSnapshotResult"
    },
    errors: [
        {
            shape: DBInstanceAlreadyExistsFault_1.DBInstanceAlreadyExistsFault
        },
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        },
        {
            shape: InstanceQuotaExceededFault_1.InstanceQuotaExceededFault
        },
        {
            shape: InsufficientDBInstanceCapacityFault_1.InsufficientDBInstanceCapacityFault
        },
        {
            shape: InvalidDBSnapshotStateFault_1.InvalidDBSnapshotStateFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidRestoreFault_1.InvalidRestoreFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: DBSubnetGroupDoesNotCoverEnoughAZs_1.DBSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: ProvisionedIopsNotAvailableInAZFault_1.ProvisionedIopsNotAvailableInAZFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: StorageTypeNotSupportedFault_1.StorageTypeNotSupportedFault
        },
        {
            shape: AuthorizationNotFoundFault_1.AuthorizationNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        },
        {
            shape: DomainNotFoundFault_1.DomainNotFoundFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        },
        {
            shape: BackupPolicyNotFoundFault_1.BackupPolicyNotFoundFault
        }
    ]
};
//# sourceMappingURL=RestoreDBInstanceFromDBSnapshot.js.map