"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RestoreDBInstanceToPointInTimeInput_1 = require("../shapes/RestoreDBInstanceToPointInTimeInput");
const RestoreDBInstanceToPointInTimeOutput_1 = require("../shapes/RestoreDBInstanceToPointInTimeOutput");
const DBInstanceAlreadyExistsFault_1 = require("../shapes/DBInstanceAlreadyExistsFault");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const InstanceQuotaExceededFault_1 = require("../shapes/InstanceQuotaExceededFault");
const InsufficientDBInstanceCapacityFault_1 = require("../shapes/InsufficientDBInstanceCapacityFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const PointInTimeRestoreNotEnabledFault_1 = require("../shapes/PointInTimeRestoreNotEnabledFault");
const StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
const InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
const InvalidRestoreFault_1 = require("../shapes/InvalidRestoreFault");
const DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
const DBSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/DBSubnetGroupDoesNotCoverEnoughAZs");
const InvalidSubnet_1 = require("../shapes/InvalidSubnet");
const ProvisionedIopsNotAvailableInAZFault_1 = require("../shapes/ProvisionedIopsNotAvailableInAZFault");
const OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
const StorageTypeNotSupportedFault_1 = require("../shapes/StorageTypeNotSupportedFault");
const AuthorizationNotFoundFault_1 = require("../shapes/AuthorizationNotFoundFault");
const KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
const DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
const DomainNotFoundFault_1 = require("../shapes/DomainNotFoundFault");
const BackupPolicyNotFoundFault_1 = require("../shapes/BackupPolicyNotFoundFault");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const DBInstanceAutomatedBackupNotFoundFault_1 = require("../shapes/DBInstanceAutomatedBackupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreDBInstanceToPointInTime = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreDBInstanceToPointInTime",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreDBInstanceToPointInTimeInput_1.RestoreDBInstanceToPointInTimeInput
    },
    output: {
        shape: RestoreDBInstanceToPointInTimeOutput_1.RestoreDBInstanceToPointInTimeOutput,
        resultWrapper: "RestoreDBInstanceToPointInTimeResult"
    },
    errors: [
        {
            shape: DBInstanceAlreadyExistsFault_1.DBInstanceAlreadyExistsFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: InstanceQuotaExceededFault_1.InstanceQuotaExceededFault
        },
        {
            shape: InsufficientDBInstanceCapacityFault_1.InsufficientDBInstanceCapacityFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: PointInTimeRestoreNotEnabledFault_1.PointInTimeRestoreNotEnabledFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidRestoreFault_1.InvalidRestoreFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: DBSubnetGroupDoesNotCoverEnoughAZs_1.DBSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: ProvisionedIopsNotAvailableInAZFault_1.ProvisionedIopsNotAvailableInAZFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: StorageTypeNotSupportedFault_1.StorageTypeNotSupportedFault
        },
        {
            shape: AuthorizationNotFoundFault_1.AuthorizationNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        },
        {
            shape: DomainNotFoundFault_1.DomainNotFoundFault
        },
        {
            shape: BackupPolicyNotFoundFault_1.BackupPolicyNotFoundFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        },
        {
            shape: DBInstanceAutomatedBackupNotFoundFault_1.DBInstanceAutomatedBackupNotFoundFault
        }
    ]
};
//# sourceMappingURL=RestoreDBInstanceToPointInTime.js.map