"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StartDBClusterInput_1 = require("../shapes/StartDBClusterInput");
const StartDBClusterOutput_1 = require("../shapes/StartDBClusterOutput");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartDBCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartDBCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartDBClusterInput_1.StartDBClusterInput
    },
    output: {
        shape: StartDBClusterOutput_1.StartDBClusterOutput,
        resultWrapper: "StartDBClusterResult"
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        }
    ]
};
//# sourceMappingURL=StartDBCluster.js.map