"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _AvailabilityZones_1 = require("./_AvailabilityZones");
const _VpcSecurityGroupIdList_1 = require("./_VpcSecurityGroupIdList");
const _TagList_1 = require("./_TagList");
const _LogTypeList_1 = require("./_LogTypeList");
const _ScalingConfiguration_1 = require("./_ScalingConfiguration");
exports.CreateDBClusterInput = {
    type: "structure",
    required: ["DBClusterIdentifier", "Engine"],
    members: {
        AvailabilityZones: {
            shape: _AvailabilityZones_1._AvailabilityZones
        },
        BackupRetentionPeriod: {
            shape: {
                type: "integer"
            }
        },
        CharacterSetName: {
            shape: {
                type: "string"
            }
        },
        DatabaseName: {
            shape: {
                type: "string"
            }
        },
        DBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        DBClusterParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        VpcSecurityGroupIds: {
            shape: _VpcSecurityGroupIdList_1._VpcSecurityGroupIdList
        },
        DBSubnetGroupName: {
            shape: {
                type: "string"
            }
        },
        Engine: {
            shape: {
                type: "string"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        MasterUsername: {
            shape: {
                type: "string"
            }
        },
        MasterUserPassword: {
            shape: {
                type: "string"
            }
        },
        OptionGroupName: {
            shape: {
                type: "string"
            }
        },
        PreferredBackupWindow: {
            shape: {
                type: "string"
            }
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        ReplicationSourceIdentifier: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        StorageEncrypted: {
            shape: {
                type: "boolean"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        PreSignedUrl: {
            shape: {
                type: "string"
            }
        },
        EnableIAMDatabaseAuthentication: {
            shape: {
                type: "boolean"
            }
        },
        BacktrackWindow: {
            shape: {
                type: "integer"
            }
        },
        EnableCloudwatchLogsExports: {
            shape: _LogTypeList_1._LogTypeList
        },
        EngineMode: {
            shape: {
                type: "string"
            }
        },
        ScalingConfiguration: {
            shape: _ScalingConfiguration_1._ScalingConfiguration
        },
        DeletionProtection: {
            shape: {
                type: "boolean"
            }
        },
        GlobalClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        CopyTagsToSnapshot: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateDBClusterInput.js.map