"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _AvailabilityZones_1 = require("./_AvailabilityZones");
const _StringList_1 = require("./_StringList");
const _DBClusterOptionGroupMemberships_1 = require("./_DBClusterOptionGroupMemberships");
const _ReadReplicaIdentifierList_1 = require("./_ReadReplicaIdentifierList");
const _DBClusterMemberList_1 = require("./_DBClusterMemberList");
const _VpcSecurityGroupMembershipList_1 = require("./_VpcSecurityGroupMembershipList");
const _DBClusterRoles_1 = require("./_DBClusterRoles");
const _LogTypeList_1 = require("./_LogTypeList");
const _ScalingConfigurationInfo_1 = require("./_ScalingConfigurationInfo");
exports._DBCluster = {
    type: "structure",
    required: [],
    members: {
        AllocatedStorage: {
            shape: {
                type: "integer"
            }
        },
        AvailabilityZones: {
            shape: _AvailabilityZones_1._AvailabilityZones
        },
        BackupRetentionPeriod: {
            shape: {
                type: "integer"
            }
        },
        CharacterSetName: {
            shape: {
                type: "string"
            }
        },
        DatabaseName: {
            shape: {
                type: "string"
            }
        },
        DBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        DBClusterParameterGroup: {
            shape: {
                type: "string"
            }
        },
        DBSubnetGroup: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        PercentProgress: {
            shape: {
                type: "string"
            }
        },
        EarliestRestorableTime: {
            shape: {
                type: "timestamp"
            }
        },
        Endpoint: {
            shape: {
                type: "string"
            }
        },
        ReaderEndpoint: {
            shape: {
                type: "string"
            }
        },
        CustomEndpoints: {
            shape: _StringList_1._StringList
        },
        MultiAZ: {
            shape: {
                type: "boolean"
            }
        },
        Engine: {
            shape: {
                type: "string"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        LatestRestorableTime: {
            shape: {
                type: "timestamp"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        MasterUsername: {
            shape: {
                type: "string"
            }
        },
        DBClusterOptionGroupMemberships: {
            shape: _DBClusterOptionGroupMemberships_1._DBClusterOptionGroupMemberships
        },
        PreferredBackupWindow: {
            shape: {
                type: "string"
            }
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        ReplicationSourceIdentifier: {
            shape: {
                type: "string"
            }
        },
        ReadReplicaIdentifiers: {
            shape: _ReadReplicaIdentifierList_1._ReadReplicaIdentifierList
        },
        DBClusterMembers: {
            shape: _DBClusterMemberList_1._DBClusterMemberList
        },
        VpcSecurityGroups: {
            shape: _VpcSecurityGroupMembershipList_1._VpcSecurityGroupMembershipList
        },
        HostedZoneId: {
            shape: {
                type: "string"
            }
        },
        StorageEncrypted: {
            shape: {
                type: "boolean"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        DbClusterResourceId: {
            shape: {
                type: "string"
            }
        },
        DBClusterArn: {
            shape: {
                type: "string"
            }
        },
        AssociatedRoles: {
            shape: _DBClusterRoles_1._DBClusterRoles
        },
        IAMDatabaseAuthenticationEnabled: {
            shape: {
                type: "boolean"
            }
        },
        CloneGroupId: {
            shape: {
                type: "string"
            }
        },
        ClusterCreateTime: {
            shape: {
                type: "timestamp"
            }
        },
        EarliestBacktrackTime: {
            shape: {
                type: "timestamp"
            }
        },
        BacktrackWindow: {
            shape: {
                type: "integer"
            }
        },
        BacktrackConsumedChangeRecords: {
            shape: {
                type: "integer"
            }
        },
        EnabledCloudwatchLogsExports: {
            shape: _LogTypeList_1._LogTypeList
        },
        Capacity: {
            shape: {
                type: "integer"
            }
        },
        EngineMode: {
            shape: {
                type: "string"
            }
        },
        ScalingConfigurationInfo: {
            shape: _ScalingConfigurationInfo_1._ScalingConfigurationInfo
        },
        DeletionProtection: {
            shape: {
                type: "boolean"
            }
        },
        HttpEndpointEnabled: {
            shape: {
                type: "boolean"
            }
        },
        ActivityStreamMode: {
            shape: {
                type: "string"
            }
        },
        ActivityStreamStatus: {
            shape: {
                type: "string"
            }
        },
        ActivityStreamKmsKeyId: {
            shape: {
                type: "string"
            }
        },
        ActivityStreamKinesisStreamName: {
            shape: {
                type: "string"
            }
        },
        CopyTagsToSnapshot: {
            shape: {
                type: "boolean"
            }
        },
        CrossAccountClone: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_DBCluster.js.map