/**
 * <p>A CA certificate for an AWS account.</p>
 */
export interface _Certificate {
    /**
     * <p>The unique key that identifies a certificate.</p>
     */
    CertificateIdentifier?: string;
    /**
     * <p>The type of the certificate.</p>
     */
    CertificateType?: string;
    /**
     * <p>The thumbprint of the certificate.</p>
     */
    Thumbprint?: string;
    /**
     * <p>The starting date from which the certificate is valid.</p>
     */
    ValidFrom?: Date | string | number;
    /**
     * <p>The final date that the certificate continues to be valid.</p>
     */
    ValidTill?: Date | string | number;
    /**
     * <p>The Amazon Resource Name (ARN) for the certificate.</p>
     */
    CertificateArn?: string;
}
export interface _UnmarshalledCertificate extends _Certificate {
    /**
     * <p>The starting date from which the certificate is valid.</p>
     */
    ValidFrom?: Date;
    /**
     * <p>The final date that the certificate continues to be valid.</p>
     */
    ValidTill?: Date;
}
