/**
 * <p>Contains information about an instance that is part of a DB cluster.</p>
 */
export interface _DBClusterMember {
    /**
     * <p>Specifies the instance identifier for this member of the DB cluster.</p>
     */
    DBInstanceIdentifier?: string;
    /**
     * <p>A value that indicates whehter the cluster member is the primary instance for the DB cluster.</p>
     */
    IsClusterWriter?: boolean;
    /**
     * <p>Specifies the status of the DB cluster parameter group for this member of the DB cluster.</p>
     */
    DBClusterParameterGroupStatus?: string;
    /**
     * <p>A value that specifies the order in which an Aurora Replica is promoted to the primary instance after a failure of the existing primary instance. For more information, see <a href="https://docs.aws.amazon.com/AmazonRDS/latest/AuroraUserGuide/Aurora.Managing.Backups.html#Aurora.Managing.FaultTolerance"> Fault Tolerance for an Aurora DB Cluster</a> in the <i>Amazon Aurora User Guide</i>. </p>
     */
    PromotionTier?: number;
}
export declare type _UnmarshalledDBClusterMember = _DBClusterMember;
