/**
 * <p>This data type is used as a response element in the following actions:</p> <ul> <li> <p> <code>AuthorizeDBSecurityGroupIngress</code> </p> </li> <li> <p> <code>DescribeDBSecurityGroups</code> </p> </li> <li> <p> <code>RevokeDBSecurityGroupIngress</code> </p> </li> </ul>
 */
export interface _EC2SecurityGroup {
    /**
     * <p>Provides the status of the EC2 security group. Status can be "authorizing", "authorized", "revoking", and "revoked".</p>
     */
    Status?: string;
    /**
     * <p>Specifies the name of the EC2 security group.</p>
     */
    EC2SecurityGroupName?: string;
    /**
     * <p>Specifies the id of the EC2 security group.</p>
     */
    EC2SecurityGroupId?: string;
    /**
     * <p> Specifies the AWS ID of the owner of the EC2 security group specified in the <code>EC2SecurityGroupName</code> field. </p>
     */
    EC2SecurityGroupOwnerId?: string;
}
export declare type _UnmarshalledEC2SecurityGroup = _EC2SecurityGroup;
